1. 23 Jan, 2021 7 commits
  2. 20 Jan, 2021 6 commits
    • Nong Hoang Tu's avatar
      b8e21c48
    • Nong Hoang Tu's avatar
      Init control file for Parrot team · ae4d47a5
      Nong Hoang Tu authored
      ae4d47a5
    • Nong Hoang Tu's avatar
      Disable auto start using Debian standard · b0681b58
      Nong Hoang Tu authored
      b0681b58
    • Nong Hoang Tu's avatar
      Remove Kali's gbp.conf · 856b2765
      Nong Hoang Tu authored
      856b2765
    • Sophie Brun's avatar
      Import Debian changes 0.5.0.0+git20191218-0kali2 · cbd0d718
      Sophie Brun authored
      beef-xss (0.5.0.0+git20191218-0kali2) kali-dev; urgency=medium
      .
        * Add versioned Ruby in Depends because we use bundler
        * Update debian files for Ruby 2.7.0
      .
      beef-xss (0.5.0.0+git20191218-0kali1) kali-dev; urgency=medium
      .
        [ Raphaël Hertzog ]
        * Add GitLab's CI configuration file
        * Configure git-buildpackage for Kali
        * Update URL in GitLab's CI configuration file
      .
        [ Sophie Brun ]
        * New upstream version 0.5.0.0+git20191218
        * Update build-deps and deps for new version
        * Refresh patches
        * Add a patch to fix the version in code
        * Add debian/source/lintian-overrides
        * Add patch to add missing require
        * Bundle activerecord gem in beef to have a compatible version
        * Add beef-xss.lintian-overrides for bundle gems
        * Update postinst to switch to activerecord
      .
      beef-xss (0.4.7.3-0kali2) kali-dev; urgency=medium
      .
        * Ask for a new password if config is still Default password (see 5441)
          instead of displaying an error message.
      .
      beef-xss (0.4.7.3-0kali1) kali-dev; urgency=medium
      .
        [ Raphaël Hertzog ]
        * Update Vcs-* fields for the move to gitlab.com
      .
        [ Sophie Brun ]
        * New upstream version 0.4.7.3
      .
      beef-xss (0.4.7.1-0kali2) kali-dev; urgency=medium
      .
        * Fix beef-xss.service (see 5311)
      .
      beef-xss (0.4.7.1-0kali1) kali-dev; urgency=medium
      .
        * New upstream version 0.4.7.1
        * Update debian/copyright
        * Remove old debian/beef-xss-bundle*
        * Update dependencies
        * wrap-and-sort
        * Refresh patches and remove obsolete patches
        * Add a patch to get a more explicit message about the
          default credentials use
        * Update Kali script to test Default credentials
        * Update Maintainer and Uploaders fields
        * Use debhelper-compat 12
        * Bump Standards-Version to 4.3.0
        * Replace .init with .service file
        * Use Debian package geoipupdate to manage GeoIP db
        * Add a README.Debian
      .
      beef-xss (0.4.7.0-0kali7) kali-dev; urgency=medium
      .
        * Add missing dependency for Ruby 2.5: ruby-xmlrpc
        * Update minimal required version of therubyracer for Ruby2.5
      .
      beef-xss (0.4.7.0-0kali6) kali-dev; urgency=medium
      .
        * Show more output when stopping
      .
      beef-xss (0.4.7.0-0kali5) kali-dev; urgency=medium
      .
        * More verbose output & add beef-xss-stop
      .
      beef-xss (0.4.7.0-0kali4) kali-dev; urgency=medium
      .
        * Add a patch to fix the version inside the code (now version in code
          matched with package version): see bug 3535
      .
      beef-xss (0.4.7.0-0kali3) kali-dev; urgency=medium
      .
        * Add a patch to disable dns extension in config.yaml as beef-xss needs
          an older version of ruby-rubydns than the one in kali.
          See https://github.com/beefproject/beef/issues/1253
      .
      beef-xss (0.4.7.0-0kali2) kali-dev; urgency=medium
      .
        * Ensure LANG=C.UTF-8 when we run beef-xss. See
          https://github.com/beefproject/beef/issues/1207
      .
      beef-xss (0.4.7.0-0kali1) kali-dev; urgency=medium
      .
        * Import new upstream release
      .
      beef-xss (0.4.6.1-0kali2) kali-dev; urgency=medium
      .
        * Improve the startup script.
      .
      beef-xss (0.4.6.1-0kali1) kali-dev; urgency=medium
      .
        * Import new upstream release
        * Add ruby-mime-types to depends and build-depends
        * Refresh patches
      .
      beef-xss (0.4.5.1+git20150624-0kali1~r2u1) sana; urgency=medium
      .
        * Import new upstream release
        * Refresh patches
        * Update dependencies: add ruby-geoip, ruby-rubydns, rubyqr4r,
          ruby-dm-serializer
      .
      beef-xss (0.4.4.9-0kali10) kali-dev; urgency=medium
      .
        * Disable dependency check, make it informative only (as ruby-twitter).
      .
      beef-xss (0.4.4.9-0kali9) kali-dev; urgency=medium
      .
        * Replace dependency ruby-rubyzip (kali-specific) with ruby-zip
          (in Debian Jessie).
      .
      beef-xss (0.4.4.9-0kali8) kali; urgency=medium
      .
        * Disable bundler and add corresponding ruby* dependencies and build
          dependencies
        * drop minimal version on build dependencies ruby-rack
        * Add in core/loader.rb the required gems
      .
      beef-xss (0.4.4.9-0kali7) kali; urgency=medium
      .
        * Update debian/beef-xss.install accordingly...
      .
      beef-xss (0.4.4.9-0kali6) kali; urgency=medium
      .
        * Fix brown paper bug. Use debian/scripts/beef-xss instead of
          debian/beef-xss as the latter needs to be free for use as a
          temporary directory by debhelper.
      .
      beef-xss (0.4.4.9-0kali5) kali; urgency=medium
      .
        * Install /usr/bin/beef-xss instead of /usr/bin/beef already owned
          by the "beef" package (FS #1136).
        * Add "Breaks: kali-menu (<< 1.369)" so that we ensure that kali-menu
          gets upgraded in lockstep.
      .
      beef-xss (0.4.4.9-0kali4) kali; urgency=medium
      .
        * Reset permissions in postinst configure so that a re-install
          from config-files get proper permissions.
        * Switch beef-xss to arch: any to avoid dependency problems
          on arm* architectures where beef-xss-bundle currently doesn't build.
      .
      beef-xss (0.4.4.9-0kali3) kali; urgency=low
      .
        * Added Python as a missing build dependency
      .
      beef-xss (0.4.4.9-0kali2) kali; urgency=low
      .
        * Fix permissions issue with minified js directory
      .
      beef-xss (0.4.4.9-0kali1) kali; urgency=low
      .
        * Upstream import
        * Introduction of the "beef" helper script
      .
      beef-xss (0.4.4.5-0kali1) kali; urgency=low
      .
        * New upstream release.
      .
      beef-xss (0.4.4.1-0kali3) kali; urgency=low
      .
        * Fix build when building only the arch-any packages.
      .
      beef-xss (0.4.4.1-0kali2) kali; urgency=low
      .
        * Add missing ruby-dev build dependency.
      .
      beef-xss (0.4.4.1-0kali1) kali; urgency=low
      .
        * Initial release.
      cbd0d718
    • Nong Hoang Tu's avatar
      aa87cd9c